List workflow runs parked for manual recovery (NEEDS_ATTENTION)
curl --request GET \
--url https://api.pineyard.ai/workflow-runs/action-required \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/action-required', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/action-required"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"runId": "<string>",
"workflowId": "<string>",
"status": "RUNNING",
"attentionReason": "<string>",
"attentionSince": "<string>",
"startedAt": "<string>",
"nodeExecutionId": "<string>",
"nodeId": "<string>",
"actionKind": "<string>"
}
]Runs
List workflow runs parked for manual recovery (NEEDS_ATTENTION)
GET
/
workflow-runs
/
action-required
List workflow runs parked for manual recovery (NEEDS_ATTENTION)
curl --request GET \
--url https://api.pineyard.ai/workflow-runs/action-required \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/action-required', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/action-required"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"runId": "<string>",
"workflowId": "<string>",
"status": "RUNNING",
"attentionReason": "<string>",
"attentionSince": "<string>",
"startedAt": "<string>",
"nodeExecutionId": "<string>",
"nodeId": "<string>",
"actionKind": "<string>"
}
]Required scope:
workflows.recover
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0Response
OK
Available options:
RUNNING, WAITING, NEEDS_ATTENTION, DONE, FAILED, CANCELED 
